Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 07-07-03, 09:43 AM   #1
JedTheHead
Registered User
 
Join Date: Jul 2003
Posts: 6
Question Support or Older Driver Version?

I posted this thread ( http://www.nvnews.net/vbulletin/show...threadid=14331 ) the other day and haven't gotten a lot of activity on it. I also don't see much chance for resolve based on the other threads. This brings me to the following questions:


1. Is there a better place for support with the NVidia drivers?

2. Are the older version more stable, and if so, where can I find them? And any suggestions for which one to use? (Looking to install them on my RH 9 box.)

3. I saw one post that said removing Mesa helped with system crashes - isn't Mesa required for this to work? (Let me know if I am wrong!)

Thanks!!!

Jed
JedTheHead is offline   Reply With Quote
Old 07-08-03, 11:32 AM   #2
Rapsys|Phoenix
Registered User
 
Rapsys|Phoenix's Avatar
 
Join Date: May 2003
Location: France, Villeurbanne
Posts: 61
Default

install the 1.0-3123 from sources!
they are avaible in the section archive, if it not work reinstall your redhat and install them it will work
(you need have do a "make dep" in your /usr/src/linux)
where you did have configured the kernel for your actual kernel
__________________
**** off M$ and his ****ing software
Rapsys|Phoenix is offline   Reply With Quote
Old 07-08-03, 03:31 PM   #3
JedTheHead
Registered User
 
Join Date: Jul 2003
Posts: 6
Default Older driver

What distribution are you currently running? I can't get the 1.0-3123 drivers to rebuild, etc. on RH 9 and it seems other people in these forums are having similar issues with the 1.0-3123 release and new installs.

Thanks!
JedTheHead is offline   Reply With Quote
Old 07-08-03, 07:27 PM   #4
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default Re: Support or Older Driver Version?

Quote:
Originally posted by JedTheHead
3. I saw one post that said removing Mesa helped with system crashes - isn't Mesa required for this to work? (Let me know if I am wrong!)
No, in fact if you have Mesa's GL library hanging around in the wrong place(s), you WILL NOT get hardware 3D. GET RID of Mesa, or at least it's GL library (Mesa's GLU and glut libraries are usable, most of the time, since both GLU and glut are based off the functionality exposed by the GL driver -- they should never access the hardware on their own).

3123 is not supported on RH9 (neither is 4191). The problem is that those drivers are simply older than RH9 itself, and RedHat, in their wonderful bleeding-edge-ness ( ), decided they wanted to backport features from the beta Linux kernel into their own kernel, then build support for those features into their C library. This is the way the rest of the Linux distros are headed in the future, but RedHat is just WAY too far ahead of the curve (2.6/3.0 STILL hasn't been released, for example).

There used to be patches for 4191 and 3123 available at www.minion.de that would allow it to compile under RH9. You could also search this forum for "phoebe howto", and you might find one (somebody posted how to get 4191 working under early RH9 betas; the procedure should still apply).

Or, you could not use such a bleeding-edge distro -- but you probably don't want to hear that.
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Old 07-09-03, 02:55 PM   #5
JedTheHead
Registered User
 
Join Date: Jul 2003
Posts: 6
Angry Still locking up - ugh

Thansks for your help and input thus far!

I spent most of the day yesterday re-installing everything on my PC - including the OS. I stuck with RH 9 and the "stock" kernel (I used to run a custome upgraded kernel). I installed the latest NVidia drivers - and started freezing up again. I removed Mesa (rpm -e XFree86-Mesa-libGL --nodeps) and thought things were better, but I am freezing up again. I also removed XFree86-Mesa-libGLU - but my games need that to run and they wouldn't launch. This is really starting to frustrate me. Random freezes and loss of work is unacceptable.

Any other ideas / suggestions?

Thanks!!!
JedTheHead is offline   Reply With Quote
Old 07-09-03, 03:07 PM   #6
tspinillo
Registered User
 
Join Date: Sep 2002
Posts: 29
Default Redhat 9

Jed,

Be sure to apply the glibc updates. There was some sort of bug with what shipped in the box.

Up2date should pull them.

Good luck

T
tspinillo is offline   Reply With Quote
Old 07-10-03, 09:26 AM   #7
Rapsys|Phoenix
Registered User
 
Rapsys|Phoenix's Avatar
 
Join Date: May 2003
Location: France, Villeurbanne
Posts: 61
Default

I don't know how I have install my last install of a mdk 9.1 but it has freezed with the NVIDIA-3123 at the first time!
I have installed all the libMesa library
(only GLU1, devel, glut3, devel, no GL)
I run the 4363 installer, install it and put the Option "NvAGP" "0"
and then I have no problems!
Alll work proprely and no freeze

ps : For the libMesaGL witch are installed for x and kde & all graphic interface works, I have uninstalled them by make a rpm -e --nodeps libMesaGL

Think of install the NVidia drivers after(perticularly the GLX) or you will not have libGL.so and it Xfree will not run!

ps : I use a particular kernel witch came from the contrib, recompiled for my machine, for this reason it will probably work under all kernel.
You need disable the kdb debugger in the kernel hacking section!!!! or it's impossible to compile the nvidia drivers!
__________________
**** off M$ and his ****ing software
Rapsys|Phoenix is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
nvidia + 2.4.19 gentoo = messed up ulukay NVIDIA Linux 18 11-01-02 11:58 PM
X Failed to load NVdriver c00lr4c3r NVIDIA Linux 13 10-22-02 01:44 PM
GForce drivers installed...but dont work tomfullery NVIDIA Linux 6 09-22-02 08:23 AM
Need help to get the X to work on my Acer TravelMate 630 knchee NVIDIA Linux 16 09-19-02 10:16 PM
RH7.3 and nForce - can't find the module dmw400 NVIDIA Linux 4 08-05-02 12:14 PM

All times are GMT -5. The time now is 12:48 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.